{
  "$schema": "https://raw.githubusercontent.com/oxc-project/oxc/main/npm/oxlint/configuration_schema.json",
  "rules": {
    "typescript/consistent-type-imports": ["error", { "prefer": "type-imports" }],
    "typescript": "error",
    "unicorn": "warn",
    "import": "warn",
    "jsdoc": "warn",
    "jsx-a11y": "off",
    "nextjs": "off",
    "react": "off",
    "react-perf": "off"
  },
  "env": {
    "node": true,
    "es2024": true
  },
  "globals": {
    "NodeJS": "readonly"
  },
  "settings": {
    "no-unused-vars": {
      "argsIgnorePattern": "^_"
    }
  },
  "ignorePatterns": ["node_modules", "dist", "*.config.js", "*.config.ts", "pnpm-lock.yaml"]
}
